Bug 1013015 - Anaconda should install an lpae kernel on ARM if the CPU is capable
Anaconda should install an lpae kernel on ARM if the CPU is capable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
arm Linux
unspecified Severity high
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-09-27 11:21 EDT by Brendan Conoboy
Modified: 2013-10-15 02:34 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.25-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:34:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Conoboy 2013-09-27 11:21:27 EDT
Description of problem:

When installing Fedora with Anaconda on the ARM systems containing LPAE functionality, the LPAE kernel should be installed, even if a non-LPAE kernel was booted to get to the installer.  The LPAE kernel is needed for both providing more than 4GB of RAM and also for hardware virtualization support.

Steps to Reproduce:
1. PXE Boot an ARM server to install with Anaconda

Actual results:

kernel package gets installed

Expected results:

kernel-lpae package gets installed

Additional info:

All ARM systems with LPAE support set the "lpae" flag in the Features list in /proc/cpuinfo.  Here is an example line:

Features        : swp half thumb fastmult vfp edsp thumbee neon vfpv3 tls vfpv4 idiva idivt vfpd32 lpae
Comment 1 Fedora Update System 2013-10-11 18:06:16 EDT
anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-18731/python-blivet-0.23-1.fc20,pykickstart-1.99.42-1.fc20,anaconda-20.25-1.fc20
Comment 2 Fedora Update System 2013-10-11 22:27:21 EDT
Package anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25-1.fc20 python-blivet-0.23-1.fc20 pykickstart-1.99.42-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18731/python-blivet-0.23-1.fc20,pykickstart-1.99.42-1.fc20,anaconda-20.25-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-15 02:34:56 EDT
anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.